package org.bench4q.master.domain.service.auth;

import java.io.Serializable;
import java.util.Date;

public class AccessToken implements Serializable {
	private static final long serialVersionUID = 4134631390384650898L;
	private String userName;
	private String password;
	private byte scope;
	private Date generateTime;
	private int expiresIn;
	

	public String getUserName() {
		return userName;
	}

	public void setUserName(String userName) {
		this.userName = userName;
	}

	public String getPassword() {
		return password;
	}

	public void setPassword(String password) {
		this.password = password;
	}

	public Date getGenerateTime() {
		return generateTime;
	}

	public void setGenerateTime(Date generateTime) {
		this.generateTime = generateTime;
	}

	public int getExpiresIn() {
		return expiresIn;
	}

	public void setExpiresIn(int expiresIn) {
		this.expiresIn = expiresIn;
	}

	public byte getScope() {
		return scope;
	}

	public void setScope(byte scope) {
		this.scope = scope;
	}

}
